Skip to Content
Developers
Catalog

Get a product

GET
/catalog/products/{id}

Authorization

integrationKey
headerAuthorizationBearer <token>

A brand integration key, created by an Owner or Admin in Brand Settings › Integrations and shown once. endvr_ik_test_… keys write test data that is never billed; endvr_ik_live_… keys are live.

Path Parameters

id*string

Your own product id.

Example"prod_1001"

Response Body

The product, archived or not.

application/json
  1. response
id*string

Your own product id.

title*string
description?string
url?string

The product page in your store.

Formaturi
imageUrl?string
Formaturi
variants*array<>
Items1 <= items <= 250
archived*boolean
updatedAt*string
Formatdate-time
Example Request
curl -X GET 'https://api.endvr.io/v1/catalog/products/prod_1001'
Example Response
{  "id": "string",  "title": "string",  "description": "string",  "url": "http://example.com",  "imageUrl": "http://example.com",  "variants": [    {      "id": "string",      "sku": "string",      "title": "string",      "price": "129.90",      "currency": "USD"    }  ],  "archived": true,  "updatedAt": "2019-08-24T14:15:22Z"}